import type * as Monaco from 'monaco-editor';
export interface IDocsItem {
    title: string;
    type: 'command' | 'function';
    children: IDocItemContent[];
}
export interface IDocItemContent {
    title: string;
    type?: 'detail' | 'example' | 'grammer' | 'parameters';
    children: DocItemContentChild[];
}
export type DocItemContentChild = {
    type: 'code';
    value: string[];
    language?: string;
} | {
    type: 'text';
    value: string[];
    language?: string;
};
export type IDocs = Record<string, IDocsItem>;
export type DocsAvailableValue = string | IDocs | Promise<IDocs> | (() => IDocs | Promise<IDocs>);
export declare function loadDocs(docsValue: DocsAvailableValue): Promise<void>;
export declare function registerDocsRelatedLanguageProviders(monaco: typeof Monaco): void;
